## gretl 2024b

=== debian/changelog ===
gretl (2024b-2) unstable; urgency=medium

  * debian/control: Move (Build-)Depends to libgtksourceview-4-dev
  							(Closes: #1079413)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Aug 2024 11:27:09 -0500

gretl (2024b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 May 2024 07:07:23 -0500
