## gretl 2024c

=== debian/changelog ===
gretl (2024c-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert the t64 changes, so also dropping the BD on newer dpkg-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2024 11:56:42 -0800

gretl (2024c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Oct 2024 21:32:48 -0500
