## gretl 2024d

=== debian/changelog ===
gretl (2024d-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Dec 2024 15:50:21 -0600
