=== debian/changelog ===
gretl (2025a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Mar 2025 09:03:59 -0500
