=== utils/scriptfix/Makefile ===
CC = gcc -O2 -Wall

scriptfix: scriptfix.c
	$(CC) -o $@ $<

clean:
	rm scriptfix *~
