=== debian/changelog ===
gretl (2025b-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Jun 2025 15:25:13 -0500
