=== debian/watch ===
version=3
http://sf.net/gretl/gretl-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
