## gretl 2025c

=== unittests/Makefile ===
check:
	./run_scripts_quiet.sh

check_plots:
	./run_tests.sh --plots
