=== debian/changelog ===
gretl (2025c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Nov 2025 08:58:28 -0600
