=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-4-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git
