=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
-libpack := libgretl$(sonum)
+libpack := libgretl$(sonum)t64
 devpack := libgretl$(sonum)-dev
 docpack := $(package)-doc
 datpack := $(package)-data
@@ -192,7 +192,7 @@
 	dh_installchangelogs			ChangeLog
 	dh_compress
 	dh_fixperms
-	dh_strip --no-automatic-dbgsym
+	dh_strip
         #dh_suidregister
         #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
         #	> debian/$(libpack).shlibs
