## gretl 2026a

=== debian/changelog ===
gretl (2026a-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jan 2026 11:32:54 -0600

gretl (2025c-2) unstable; urgency=medium

  * Add an #include to lib/src/foreign_db.c

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Nov 2025 07:41:36 -0600
