=== debian/watch ===
version=4
https://sf.net/gretl/gretl-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
